# fdsink

Write data to a unix file descriptor.

This element will synchronize on the clock before writing the data on the socket. For file descriptors where this does not make sense (files, ...) the sync property can be used to disable synchronisation.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseSink
                        ╰──fdsink

## Implemented interfaces

    GstURIHandler

## Factory details

Authors: – Erik Walthinsen

Classification: – `Sink/File`

Rank – none

Plugin – coreelements

Package – GStreamer

## Pad Templates

### `sink`

    ANY

Presence – always

Direction – sink

Object type – GstPad

## Properties

### fd

    “fd” gint

An open file descriptor to write to

Flags : Read / Write

Default value : 1

The results of the search are